### Function

# RB uri_get_mount_point

#### Declaration [src]

    char*
    rb_uri_get_mount_point (
      const char* uri
    )

#### Description [src]

Returns the mount point of the filesystem holding `uri`. If `uri` is on a normal filesystem mount (such as /, /home, /var, etc.) this will be NULL.

#### Parameters

`uri`

  Type: `const char*`

  A URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Filesystem mount point (must be freed by caller) or NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.